Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: setuptool
Version: 1.19.11
Release: alt2_29
Summary: A text mode system configuration tool
License: GPL-2.0-or-later
Url: http://git.fedorahosted.org/git/?p=setuptool.git
Source: setuptool-%{version}.tar.gz
BuildRequires: libnewt-devel, gettext-tools, perl-XML-Parser glib2-devel libgio libgio-devel, intltool, gcc
Requires: consolehelper
Source44: import.info

%description
Setuptool is a user-friendly text mode menu utility which allows you
to access all of the text mode configuration programs included in the
operating system distribution.

%prep
%setup -q 

%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang setup

%files -f setup.lang
%doc README COPYING
%{_bindir}/setup
%config(noreplace) %{_sysconfdir}/pam.d/setup
%config(noreplace) %{_sysconfdir}/security/console.apps/setup
%{_sbindir}/setup
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/setuptool.d
%dir %{_sysconfdir}/setuptool.d
%config(noreplace) %{_sysconfdir}/setuptool.d/*
%{_mandir}/man1/setup.1*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.19.11-alt2_29
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.19.11-alt2_28
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.19.11-alt2_26
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.19.11-alt2_25
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.19.11-alt2_24
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.19.11-alt2_23
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.19.11-alt2_22
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.19.11-alt2_21
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.19.11-alt1_21
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.19.11-alt1_20
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 1.19.11-alt1_19
- new version

